extern crate wow_such_doge;
use wow_such_doge::Dogs;
use std::env;

fn main() {
    let dogs = Dogs::new();
    match env::args().nth(1).as_ref().map(|arg| arg.as_str()) {
        Some("random") => {
            match env::args().nth(2).as_ref().map(|arg| arg.as_str()) {
                Some(breed) => {
                    match env::args().nth(3).as_ref().map(|arg| arg.as_str()) {
                        Some(subbreed) => println!("{}", dogs.random_image_by_subbreed(breed, subbreed).unwrap()),
                        None => println!("{}", dogs.random_image_by_breed(breed).unwrap())
                    }
                },
                None => println!("{}", dogs.random_image().unwrap())
            }
        },
        Some(breed) => {
            match env::args().nth(2).as_ref().map(|arg| arg.as_str()) {
                Some(subbreed) => println!("{:?}", dogs.images_by_subbreed(breed, subbreed).unwrap()),
                None => println!("{:?}", dogs.images_by_breed(breed).unwrap())
            }
        },
        None => println!("{:?}", dogs.breeds())
    }
}
